package com.yinuo.commonlibtest;

import androidx.appcompat.app.AppCompatActivity;

import android.os.Bundle;
import android.util.Log;

import com.common.commonlib.net.RequestCallBack;
import com.yinuo.commonlibtest.bean.ArticlesResponse;
import com.yinuo.commonlibtest.databinding.ActivityMainBinding;
import com.yinuo.commonlibtest.manager.InternetLoader;

import org.jetbrains.annotations.Nullable;

public class MainActivity extends AppCompatActivity {
    private static final String TAG = MainActivity.class.getSimpleName();
    ActivityMainBinding binding;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        binding = ActivityMainBinding.inflate(getLayoutInflater());
        setContentView(binding.getRoot());
        initView();
    }

    private void initView() {
        binding.tv.setOnClickListener(l -> {
            InternetLoader loader = new InternetLoader();
            loader.getHomeArticles(0, new RequestCallBack<ArticlesResponse>() {
                @Override
                public void onResult(ArticlesResponse result) {
                    Log.d(TAG, result.getData().toString());
                }

                @Override
                public void onError(@Nullable String error) {
                    Log.d(TAG, "onError");
                }

                @Override
                public void onComplete() {
                    Log.d(TAG, "onComplete");
                }
            });
        });
    }
}